curl --request PATCH \
--url 'https://api.nsr.stateset.com/api/v1/sources/{id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"locator": "string",
"metadata": {},
"snippet": "string",
"source_type": "string",
"trust_tag": "string"
}'
{
"actor": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"locator": "string",
"metadata": {},
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"snippet": "string",
"source_type": "string",
"trust_tag": "string",
"updated_at": "2026-08-31T14:22:05Z"
}
Update an existing source.
Required scope: write
PATCH
/
api
/
v1
/
sources
/
{id}
curl --request PATCH \
--url 'https://api.nsr.stateset.com/api/v1/sources/{id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"locator": "string",
"metadata": {},
"snippet": "string",
"source_type": "string",
"trust_tag": "string"
}'
{
"actor": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"locator": "string",
"metadata": {},
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"snippet": "string",
"source_type": "string",
"trust_tag": "string",
"updated_at": "2026-08-31T14:22:05Z"
}
Required scope:
write
Path parameters
string
required
Source ID
Request body
UpdateSourceRequest
string
object
string
string
string
Response
EvidenceSourceRecord
string
required
string (date-time)
required
string
required
string
required
object
required
string
string
string
required
string
string (date-time)
required
Status codes
| Code | Meaning |
|---|---|
200 | Source updated |
400 | Invalid update payload |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
404 | Source not found |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request PATCH \
--url 'https://api.nsr.stateset.com/api/v1/sources/{id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"locator": "string",
"metadata": {},
"snippet": "string",
"source_type": "string",
"trust_tag": "string"
}'
{
"actor": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"locator": "string",
"metadata": {},
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"snippet": "string",
"source_type": "string",
"trust_tag": "string",
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026